package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author hgw
 * Created by 2022-01-04
 */
public class CouponPayParam {
    //本次使用的优惠券类型信息
    private Map<String, CouponPayTypeInfo> couponTypeInfo;
    //本次减免的全额
    private BigDecimal couponRemitTotal;
    //订单数据
    private StudentPaymentOrder studentPaymentOrder;

    public Map<String, CouponPayTypeInfo> getCouponTypeInfo() {
        return couponTypeInfo;
    }

    public void setCouponTypeInfo(Map<String, CouponPayTypeInfo> couponTypeInfo) {
        this.couponTypeInfo = couponTypeInfo;
    }

    public BigDecimal getCouponRemitTotal() {
        return couponRemitTotal;
    }

    public void setCouponRemitTotal(BigDecimal couponRemitTotal) {
        this.couponRemitTotal = couponRemitTotal;
    }

    public StudentPaymentOrder getStudentPaymentOrder() {
        return studentPaymentOrder;
    }

    public void setStudentPaymentOrder(StudentPaymentOrder studentPaymentOrder) {
        this.studentPaymentOrder = studentPaymentOrder;
    }
}
